[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/hplip/FC-4 hplip-condrestart.patch, NONE, 1.1 hplip.spec, 1.19, 1.20



Author: twaugh

Update of /cvs/dist/rpms/hplip/FC-4
In directory cvs.devel.redhat.com:/tmp/cvs-serv19668

Modified Files:
	hplip.spec 
Added Files:
	hplip-condrestart.patch 
Log Message:
* Tue Jul 26 2005 Tim Waugh <twaugh redhat com>
- Fix condrestart in the initscript.


hplip-condrestart.patch:
 hplip.sh |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- NEW FILE hplip-condrestart.patch ---
--- hplip-0.9.4/hplip.sh.condrestart	2005-07-26 14:55:58.000000000 +0100
+++ hplip-0.9.4/hplip.sh	2005-07-26 14:56:34.000000000 +0100
@@ -145,7 +145,7 @@
         mystatus hpssd
         ;;
   condrestart)
-        [ -f /var/lock/subsys/hpiod ] && [ -f /var/lock/subsys/hpssd ] && restart || :
+        [ -f /var/lock/subsys/hpiod ] && [ -f /var/lock/subsys/hpssd.py ] && restart || :
         ;;
   *)
         echo $"Usage: $0 {start|stop|status|restart|condrestart}"


Index: hplip.spec
===================================================================
RCS file: /cvs/dist/rpms/hplip/FC-4/hplip.spec,v
retrieving revision 1.19
retrieving revision 1.20
diff -u -r1.19 -r1.20
--- hplip.spec	25 Jul 2005 17:19:49 -0000	1.19
+++ hplip.spec	26 Jul 2005 14:01:32 -0000	1.20
@@ -8,6 +8,7 @@
 
 Url: http://sourceforge.net/projects/hpinkjet
 Source: http://kent.dl.sourceforge.net/sourceforge/hpinkjet/%{name}-%{version}.tar.gz
+Patch1: hplip-condrestart.patch
 Patch2: hplip-desktop.patch
 Patch3: hplip-config.patch
 BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
@@ -51,6 +52,9 @@
 rm -rf $RPM_BUILD_DIR/%{name}-%{version}
 %setup -q
 
+# Fix condrestart in the initscript.
+%patch1 -p1 -b .condrestart
+
 # Use /usr/share/applications for putting desktop files in.
 %patch2 -p1 -b .desktop
 
@@ -137,6 +141,9 @@
 fi
 
 %changelog
+* Tue Jul 26 2005 Tim Waugh <twaugh redhat com>
+- Fix condrestart in the initscript.
+
 * Mon Jul 25 2005 Tim Waugh <twaugh redhat com> 0.9.4-1.1
 - Build for Fedora Core 4.
 - Use 'condrestart' not 'restart' in %%post scriptlet.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]